Figure - Bug #113472
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd 0 800 O O O O CRASH: com.android.settingsd 100
2022-11-01 14:59 - CD Test(l [J

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: godb0is4e00 00 00D 0O0ODO OO 1334600 |
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 10:11:03.183 6173 10310 W Monkey : // CRASH: com.android.settings (pid 31144)

10-28 10:11:03.183 6173 10310 W Monkey : // Short Msg: java.lang.lllegalStateException

10-28 10:11:03.184 6173 10310 W Monkey : // Long Msg: java.lang.lllegalStateException: Fragment SystemInfoFragment{513c94f}
(5a8f3988-1896-412a-a558-2342h68636h) SystemInfo} declared target fragment StorageDashboardFragment{2dcf8dc}
(ab67d309-3e95-4153-8701-106d605c3dab)} that does not belong to this FragmentManager!

10-28 10:11:03.184 6173 10310 W Monkey : // Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys
10-28 10:11:03.184 6173 10310 W Monkey : // Build Changelist: 1230

10-28 10:11:03.184 6173 10310 W Monkey : // Build Time: 1666894340000

10-28 10:11:03.185 6173 10310 W Monkey : // java.lang.lllegalStateException: Fragment SystemInfoFragment{513c94f}
(5a8f3988-1896-412a-a558-2342b68636b) SystemInfo} declared target fragment StorageDashboardFragment{2dcf8dc}
(ab67d309-3e95-4153-8701-106d605c3dab)} that does not belong to this FragmentManager!

10-28 10:11:03.185 6173 10310 W Monkey :// at androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:414)
10-28 10:11:03.185 6173 10310 W Monkey :// at
androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

10-2810:11:03.185 6173 10310 W Monkey :// at
androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

10-28 10:11:03.185 6173 10310 W Monkey :// at
androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

10-28 10:11:03.185 6173 10310 W Monkey :// at
androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

10-28 10:11:03.185 6173 10310 W Monkey :// at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)
10-28 10:11:03.185 6173 10310 W Monkey :// atandroid.os.Handler.handleCallback(Handler.java:938)

10-28 10:11:03.185 6173 10310 W Monkey :// atandroid.os.Handler.dispatchMessage(Handler.java:99)

10-28 10:11:03.185 6173 10310 W Monkey :// atandroid.os.Looper.loopOnce(Looper.java:201)

10-28 10:11:03.185 6173 10310 W Monkey :// atandroid.os.Looper.loop(Looper.java:288)

10-28 10:11:03.185 6173 10310 W Monkey :// atandroid.app.ActivityThread.main(ActivityThread.java:7880)

10-28 10:11:03.185 6173 10310 W Monkey :// at java.lang.reflect. Method.invoke(Native Method)
10-28 10:11:03.185 6173 10310 W Monkey :// at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
10-28 10:11:03.185 6173 10310 W Monkey :// at com.android.internal.os.Zygotelnit. main(Zygotelnit.java:1009)
10-2810:11:03.185 6173 10310 W Monkey : //

History

#1 - 2022-11-01 16:07 - CD Test O

00 O Bug #113456 O O

#2 - 2022-11-0117:42-CD AF-O0 0 O
- Status changed from New to ASSIGNED
- % Done changed from 0 to 10

#3-2022-11-0117:42-CDAF-0 00O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 0O O O to CD TestO O

- % Done changed from 10 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

-Rootcausesetto D 0 0 01134600 D DD OO OO ODOO1134600 000

#4 - 2022-11-02 14:33 - CD TestO O

- Status changed from RESOLVED to VERIFIED

Jlus4e00 0000000000000

#5 - 2022-11-02 14:33 - CD Testd O
- Status changed from VERIFIED to CLOSED
